hstatsd-0.1: Quick and dirty statsd interface

Safe Haskell | None
Language | Haskell98

Network.StatsD

# Documentation

data StatsD Source #

Instances

Eq StatsD Source # |
Instance details Defined in Network.StatsD Methods (==) :: StatsD -> StatsD -> Bool Source # (/=) :: StatsD -> StatsD -> Bool Source #
Show StatsD Source # |
Instance details Defined in Network.StatsD Methods showsPrec :: Int -> StatsD -> ShowS Source # show :: StatsD -> String Source # showList :: [StatsD] -> ShowS Source #

mkStatsD :: Socket -> [String] -> StatsD Source #

openStatsD :: HostName -> ServiceName -> [String] -> IO StatsD Source #

closeStatsD :: StatsD -> IO () Source #

data Stat Source #

Constructors

Stat |

Fields

- bucket :: !Text
- val :: !Text
- unit :: !Text
- sample :: !(Maybe Double)

Instances

Eq Stat Source # |
Instance details Defined in Network.StatsD Methods (==) :: Stat -> Stat -> Bool Source # (/=) :: Stat -> Stat -> Bool Source #
Show Stat Source # |
Instance details Defined in Network.StatsD Methods showsPrec :: Int -> Stat -> ShowS Source # show :: Stat -> String Source # showList :: [Stat] -> ShowS Source #

stat :: (Num a, Show a) => [String] -> a -> String -> Maybe Double -> Stat Source #

push :: StatsD -> [Stat] -> IO () Source #

showStat :: Stat -> String Source #